1

I installed Miktex 2.9 on a new machine, but it seems I cannot use IEEEeqnarray. I followed the instructions on this answer to Using IEEEtrantools to install IEEEtranstools.sty but it is not working.

Here is an example:

\documentclass{report}
\usepackage{IEEEtrantools}
\begin{document}
\begin{IEEEeqnarray}{c}
x = y
\end{IEEEeqnarray}
\end{document}

I receive the following errors:

Missing = inserted for \ifnum
Missing number, treated as zero

UPDATE:

Based on suggestions in the comments, I removed the environment and run the following code

\documentclass{report}
\listfiles
\usepackage{IEEEtrantools}
\errorcontextlines=20
\begin{document}
%\begin{IEEEeqnarray}{c}
%x = y
%\end{IEEEeqnarray}
\end{document}

and here is the content of the .log file after File List

  report.cls    2007/10/19 v1.4h Standard LaTeX document class
  size10.clo    2007/10/19 v1.4h Standard LaTeX file (size option)
IEEEtrantools.sty    2012/12/27 V1.3 by Michael Shell
 ***********

 ) 
Here is how much of TeX's memory you used:
 566 strings out of 493921
 9634 string characters out of 3144871
 56485 words of memory out of 3000000
 3943 multiletter control sequences out of 15000+200000
 3640 words of font info for 14 fonts, out of 3000000 for 9000
 841 hyphenation exceptions out of 8191
 23i,1n,23p,206b,36s stack positions out of 5000i,500n,10000p,200000b,50000s

No pages of output.
PDF statistics:
 0 PDF objects out of 1000 (max. 8388607)
 0 named destinations out of 1000 (max. 500000)
 1 words of extra memory for PDF output out of 10000 (max. 10000000)

Any suggestions? Thanks.

10
  • Do you get those error messages with the exact code you posted? I ask because your code works with no problems in my system (TeX Live2015). Commented Oct 12, 2015 at 3:55
  • Yes, I got the errors with exactly the same code.
    – Noor
    Commented Oct 12, 2015 at 4:45
  • Can you add \errorcontextlines=20 at the beginning of the file and then report the exact error message?
    – egreg
    Commented Oct 12, 2015 at 6:38
  • @egreg I added it in the preample and I still get the exact error message.
    – Noor
    Commented Oct 12, 2015 at 16:31
  • 1
    My TeX distribution has IEEEtrantools.sty 2015/08/26 V1.5; also your report.cls is outdated. Update your MiKTeX and retry.
    – egreg
    Commented Oct 12, 2015 at 19:57

1 Answer 1

1

Your version of IEEEtrantools is outdated: the most recent one is

IEEEtrantools.sty 2015/08/26 V1.5

Upgrade your TeX distribution.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .